using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
class HelloWorld
{
    static void citaj(long n, long [] niz)
    {
        long i = 0;
        string [] ulaz = Console.ReadLine().Split(' ');
        for(i=0; i<n; i++)
        {
            niz[i] = long.Parse(ulaz[i]);
        }
    }
    static void pisi(long n, long [] niz)
    {
        long i = 0;
        for(i=0; i<n; i++)
        {
            Console.Write(niz[i]);
            Console.Write(' ');
        }
    }
    static void Main()
    {
        string [] ulaz = Console.ReadLine().Split(' ');
        long N = long.Parse(ulaz[0]);
        long Q = long.Parse(ulaz[1]);
        long [] glasovi = new long [N];
        citaj(N, glasovi);
        long [] medijane = new long [Q];
        citaj(Q, medijane);
        
        Array.Sort(glasovi);
        long i = 0, j = 0, k = 0, q = 0, x = 0, r = 0;
        bool postoji = false;
        for(j=0; j<Q; j++)
        {
            x = N;
            k = 0;
            q = 1;
            postoji = false;
            for(i=0; i<N; i++)
            {
                if(medijane[j]<=glasovi[i])
                {
                    if(medijane[j]==glasovi[i])
                    {
                        k = 1;
                        q = 0;
                        postoji = true;
                    }
                    x = i;
                    break;
                }
            }
            if(x<=N/2)
            {
                r =N-2*x-k;
                if(r<=0)
                {
                    r = 0;
                }

            }
            else if (x<N)
            {
                r = 2*x-N-q;
                if(r<=0)
                {
                    r = 0;
                }
            }
            else
            {
                r = N-1;
            }
            if(!postoji)
            {
                r++;
            }
            Console.WriteLine(r);
        }
    }
}